=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(kmail2)
add_subdirectory(akonadi_archivemail_agent)
add_subdirectory(akonadi_sendlater_agent)
add_subdirectory(akonadi_followupreminder_agent)
